<div class="modal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h2 class="modal-title">
                    {{'equipmentEditInventoryItem.' + (vm.inventoryItem.id ? 'editEquipmentDetails' : 'addNewEquipment') | message}}
                </h2>
            </div>
            <div class="modal-body">
                <form id="edit-inventory-item-form"
                    name="editInventoryItemForm"
                    ng-submit="vm.add()">

                    <dl class="horizontal-list">
                        <dt>{{'equipmentEditInventoryItem.district' | message}}</dt>
                        <dd>{{vm.inventoryItem.facility.geographicZone.name}}</dd>
                        <dt>{{'equipmentEditInventoryItem.facility' | message}}</dt>
                        <dd>{{vm.inventoryItem.facility.name}}</dd>
                        <dt>{{'equipmentEditInventoryItem.program' | message}}</dt>
                        <dd>{{vm.inventoryItem.program.name}}</dd>
                        <dt>{{'equipmentEditInventoryItem.equipmentType' | message}}</dt>
                        <dd>{{vm.inventoryItem.catalogItem.type}}</dd>
                        <dt>{{'equipmentEditInventoryItem.makeModel' | message}}</dt>
                        <dd>{{vm.inventoryItem.catalogItem | makeModel}}</dd>
                    </dl>

                    <fieldset>

                        <div class="sub-heading">
                            <h3 class="title">{{'equipmentEditInventoryItem.equipmentIdentification' | message}}</h3>
                        </div>

                        <label for="serial-number">
                            {{'equipmentEditInventoryItem.serialNumber' | message}}
                        </label>

                        <input id="serial-number"
                            ng-model="vm.inventoryItem.equipmentTrackingId"
                            type="text"
                            required/>

                        <label for="reference-name">
                            {{'equipmentEditInventoryItem.referenceName' | message}}
                        </label>

                        <input id="reference-name"
                            ng-model="vm.inventoryItem.referenceName"
                            type="text"
                            required/>

                        <p class="note">
                            {{'equipmentEditInventoryItem.referenceName.description' | message}}
                        </p>

                    </fieldset>

                    <fieldset>

                        <div class="sub-heading">
                            <h3 class="title">{{'equipmentEditInventoryItem.equipmentHistory' | message}}</h3>
                        </div>

                        <fieldset id="utilization" class="form-group">

                            <legend>{{'equipmentEditInventoryItem.utilization' | message}}</legend>

                            <label class="radio" ng-repeat="option in vm.utilizationStatuses">
                                <input type="radio"
                                    ng-model="vm.inventoryItem.utilization"
                                    ng-value="option"
                                    required/>
                                {{vm.getUtilizationStatusLabel(option) | message}}
                            </label>

                        </fieldset>

                        <label for="year-of-installation">
                            {{'equipmentEditInventoryItem.yearOfInstallation' | message}}
                        </label>

                        <input class="date"
                            id="year-of-installation"
                            name="yearOfInstallation"
                            type="number"
                            ng-model="vm.inventoryItem.yearOfInstallation"
                            max="9999"
                            min="1000"
                            required/>

                        <label for="source">{{'equipmentEditInventoryItem.source' | message}}</label>

                        <input id="source"
                            type="text"
                            ng-model="vm.inventoryItem.source"/>

                        <p class="note">
                            {{'equipmentEditInventoryItem.source.description' | message}}
                        </p>

                        <label for="year-of-warranty-expiry">
                            {{'equipmentEditInventoryItem.yearOfWarrantyExpiry' | message}}
                        </label>

                        <input class="date"
                            id="year-of-warranty-expiry"
                            name="yearOfWarrantyExpiry"
                            ng-model="vm.inventoryItem.yearOfWarrantyExpiry"
                            type="number"
                            max="9999"
                            min="1000"/>

                    </fieldset>

                    <fieldset>

                        <div class="sub-heading">
                            <h3 class="title">{{'equipmentEditInventoryItem.equipmentInstallation' | message}}</h3>
                        </div>

                        <fieldset id="voltage-stabilizer" class="form-group">

                            <legend>{{'equipmentEditInventoryItem.voltageStabilizer' | message}}</legend>

                            <label class="radio" ng-repeat="option in vm.equipmentStatuses">
                                <input type="radio"
                                    ng-model="vm.inventoryItem.voltageStabilizer"
                                    ng-required="!vm.powerFieldsDisabled"
                                    ng-value="option"
                                    ng-disabled="vm.powerFieldsDisabled"/>
                                {{vm.getStatusLabel(option) | message}}
                            </label>

                        </fieldset>

                        <fieldset id="voltage-regulator" class="form-group">

                            <legend>{{'equipmentEditInventoryItem.voltageRegulator' | message}}</legend>

                            <label class="radio" ng-repeat="option in vm.equipmentStatuses">
                                <input type="radio"
                                    ng-model="vm.inventoryItem.voltageRegulator"
                                    ng-required="!vm.powerFieldsDisabled"
                                    ng-value="option"
                                    ng-disabled="vm.powerFieldsDisabled"/>
                                {{vm.getStatusLabel(option) | message}}
                            </label>

                        </fieldset>

                        <fieldset id="backup-generator" class="form-group">

                            <legend>{{'equipmentEditInventoryItem.backupGenerator' | message}}</legend>

                            <label class="radio" ng-repeat="option in vm.equipmentStatuses">
                                <input type="radio"
                                    ng-model="vm.inventoryItem.backupGenerator"
                                    ng-required="!vm.powerFieldsDisabled"
                                    ng-value="option"
                                    ng-disabled="vm.powerFieldsDisabled"/>
                                {{vm.getStatusLabel(option) | message}}
                            </label>
                        </fieldset>

                        <fieldset id="manual-temperature-gauge" class="form-group">

                            <legend>
                                {{'equipmentEditInventoryItem.manualTemperatureGauge' | message}}
                            </legend>

                            <label class="radio"
                                ng-repeat="option in vm.manualTemperatureGaugeTypes">
                                <input type="radio"
                                    ng-model="vm.inventoryItem.manualTemperatureGauge"
                                    ng-value="option"
                                    required/>
                                {{vm.getManualTemperatureGaugeTypeLabel(option) | message}}
                            </label>

                        </fieldset>

                        <fieldset id="remote-temperature-monitor" class="form-group">

                            <legend>
                                {{'equipmentEditInventoryItem.remoteTemperatureMonitor' | message}}
                            </legend>

                            <label class="radio"
                                ng-repeat="option in vm.remoteTemperatureMonitorTypes">
                                <input type="radio"
                                    ng-model="vm.inventoryItem.remoteTemperatureMonitor"
                                    ng-value="option"
                                    required/>
                                {{vm.getRemoteTemperatureMonitorTypeLabel(option) | message}}
                            </label>

                        </fieldset>

                    </fieldset>

                    <fieldset>

                        <label for="additional-notes">
                            {{'equipmentEditInventoryItem.additionalNotes' | message}}
                        </label>

                        <textarea id="additional-notes"
                            ng-model="vm.inventoryItem.additionalNotes">
                        </textarea>

                    </fieldset>

                </form>
            </div>
            <div class="modal-footer">

                <button id="cancel"
                    class="btn btn-default"
                    ng-click="vm.cancel()">
                    {{'equipmentEditInventoryItem.cancel' | message}}
                </button>

                <button id="add"
                    class="btn btn-primary"
                    form="edit-inventory-item-form"
                    type="submit">
                    {{'equipmentEditInventoryItem.save' | message}}
                </button>

            </div>
        </div>
    </div>
</div>
